<?xml version="1.0" encoding="UTF-8"?>
<!--

  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  
  Copyright 2008 by Sun Microsystems, Inc.
 
  OpenOffice.org - a multi-platform office productivity suite
 
  $RCSfile: build.xml,v $
 
  $Revision: 1.5 $
 
  This file is part of OpenOffice.org.
 
  OpenOffice.org is free software: you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License version 3
  only, as published by the Free Software Foundation.
 
  OpenOffice.org is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License version 3 for more details
  (a copy is included in the LICENSE file that accompanied this code).
 
  You should have received a copy of the GNU Lesser General Public License
  version 3 along with OpenOffice.org.  If not, see
  <http://www.openoffice.org/license.html>
  for a copy of the LGPLv3 License.
 
-->
<project name="xmrg_jooxcx_xslt" default="main" basedir=".">

    <!-- ================================================================= -->
    <!-- settings                                                          -->
    <!-- ================================================================= -->

    <!-- project prefix, used for targets and build.lst  -->
    <property name="prj.prefix" value="xmrg"/>

    <!-- name of this sub target used in recursive builds -->
    <property name="target" value="xmrg_jooxcx_xslt"/>

    <!-- relative path to project directory -->
    <property name="prj" value="../../../../../../../"/>

    <!-- start of java source code package structure -->
    <property name="java.dir" value="${prj}/java"/>

    <!-- path component for current java package -->
    <property name="package"
              value="org/openoffice/xmerge/converter/xml/xslt/"/>

    <!-- define how to handle CLASSPATH environment -->
    <property name="build.sysclasspath" value="ignore"/>

    <!-- classpath settings for javac tasks -->
    <path id="classpath">
        <pathelement location="${build.class}"/>
    <pathelement location="${solar.jar}/xalan.jar"/>
    <pathelement location="${solar.jar}/parser.jar"/>
        <pathelement location="${solar.jar}/jaxp.jar"/>
        <pathelement location="${solar.jar}/xerces.jar"/>
    </path>

    <!-- set wether we want to compile with or without deprecation -->
    <property name="deprecation" value="on"/>

    <!-- ================================================================= -->
    <!--  solar build environment targets                                  -->
    <!-- ================================================================= -->

    <target name="build_dir" unless="build.dir">
        <property name="build.dir" value="${out}"/>
    </target>

    <target name="solar" depends="build_dir" if="solar.update">
        <property name="solar.properties"
                  value="${solar.bin}/solar.properties"/>
    </target>

    <target name="init" depends="solar">
        <property name="build.compiler" value="classic"/>
        <property file="${solar.properties}"/>
        <property file="${build.dir}/class/solar.properties"/>
    </target>

    <target name="info">
        <echo message="--------------------"/>
        <echo message="${target}"/>
        <echo message="--------------------"/>
    </target>


    <!-- ================================================================= -->
    <!-- custom targets                                                    -->
    <!-- ================================================================= -->

    <!-- the main target, called in recursive builds -->
    <target name="main" depends="info,prepare,compile"/>

    <!-- prepare output directories -->
    <target name="prepare" depends="init" if="build.class">
        <mkdir dir="${build.dir}"/>
        <mkdir dir="${build.class}"/>
    </target>

    <!-- compile java sources in ${package} -->
    <target name="compile" depends="prepare" if="build.class">
        <javac srcdir="${java.dir}"
               destdir="${build.class}"
               debug="${debug}"
               deprecation="${deprecation}"
               optimize="${optimize}">
            <classpath refid="classpath"/>
            <include name="${package}/DocumentDeserializerImpl.java"/>
            <include name="${package}/DocumentSerializerImpl.java"/>
             <include name="${package}/GenericOfficeDocument.java"/>
        <include name="${package}/PluginFactoryImpl.java"/>
        </javac>
    <copy todir="${build.class}/${package}">
            <fileset dir=".">
                <include name="*.properties"/>
            </fileset>
        </copy>
    </target>

    <!-- clean up -->
    <target name="clean" depends="prepare">
        <delete includeEmptyDirs="true">
            <fileset dir="${build.class}">
                <patternset>
                    <include name="${package}/*.class"/>
                </patternset>
            </fileset>
        </delete>
    </target>
     
</project>

